REST API · v1 · Sync

Monthly Keyword Search Volume API

Get estimated monthly search volume, trend score and related keywords via API.

Base URLhttps://www.spindorai.com/api/public-keyword-volume

Overview

Spindora Monthly Keyword Search Volume API returns estimated monthly search volume, trend score, confidence, history and related keywords. Sync like SERP API — single POST request.

API key required
Volume + trend
Attribution

Authentication

Header: X-Spindora-Key: sp_kvol_... · https://www.spindorai.com/api-keys

Remaining quota: GET https://www.spindorai.com/api/api-hub/status (JWT)

Endpoint

POST/estimate

Keyword volume estimate — immediate response.

cURL
curl -X POST "https://www.spindorai.com/api/public-keyword-volume/estimate" \
  -H "Content-Type: application/json" \
  -H "X-Spindora-Key: sp_kvol_YOUR_KEY_HERE" \
  -d '{
    "keyword": "seo aracı",
    "language": "tr",
    "country": "TR",
    "include_trends": true,
    "locale": "tr"
  }'
JavaScript
const res = await fetch('https://www.spindorai.com/api/public-keyword-volume/estimate', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'X-Spindora-Key': 'sp_kvol_YOUR_KEY_HERE',
  },
  body: JSON.stringify({
    keyword: 'seo aracı',
    language: 'tr',
    country: 'TR',
    include_trends: true,
  }),
});
const data = await res.json();

Response Example

JSON
{
  "success": true,
  "keyword": "seo aracı",
  "trend_score": 72,
  "estimated_volume": 2400,
  "estimated_volume_range": "1 B-10 B",
  "secondary_estimated_volume_range": "100-1 B",
  "confidence_score": 68,
  "previous_estimated_volume": 2100,
  "previous_estimated_volume_range": "1 B-10 B",
  "change_percent": 14.29,
  "history": [],
  "related_keywords": [
    { "keyword": "seo analiz aracı", "trend_score": 65, "estimated_volume": 880 }
  ],
  "attribution": {
    "text": "Powered by Spindora",
    "url": "https://www.spindorai.com",
    "required": true
  }
}

Attribution

Required near results:

<a href="https://www.spindorai.com" target="_blank" rel="noopener">Powered by Spindora</a>